Bug 26509 - X works on laptop, but not while connected to Port Replicator
X works on laptop, but not while connected to Port Replicator
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 13:25 EST by Gil Chilton
Modified: 2007-03-26 23:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 11:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gil Chilton 2001-02-07 13:25:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


X works fine on my Dell Latitude laptop as long as it is not connected to 
Dell Port Replicator and Compaq V75 monitor.  Trying Xconfigurator 
produces same results, failing during X test while docked.  This same 
exact hardware configuration worked under RH 7.0 either docked or not.

Hardware:
Dell Latitude CPxH500
ATI Mobility M/P (according to Xconfigurator) Windows 98 SE says Mobility 
M1
Compaq V75 Monitor
8 MB Video RAM
128 MB RAM

The following text was taking from the bottom of /var/log/XFree86.9.log 
immediately after running a failed Xconfigurator while connected to the 
Port Replicator.  The first clue of a problem is "(WW) ATI(0): Mode pool 
is empty" towards the bottom.  I can provide the full text of XF86Config 
and XFree86.9.log for failing and working Xconfigurator runs if desired.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 29.500 MHz.
(II) ATI(0): Maximum clock: 230.00 MHz
(WW) ATI(0): Default mode "640x350" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x400" deleted (hsync out of range)
(WW) ATI(0): Default mode "720x400" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1152x864" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x960" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x960" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1792x1344" deleted (insufficient memory for 
mode)
(WW) ATI(0): Default mode "1792x1344" deleted (insufficient memory for 
mode)
(WW) ATI(0): Default mode "1856x1392" deleted (insufficient memory for 
mode)
(WW) ATI(0): Default mode "1856x1392" deleted (insufficient memory for 
mode)
(WW) ATI(0): Default mode "1920x1440" deleted (insufficient memory for 
mode)
(WW) ATI(0): Default mode "1920x1440" deleted (insufficient memory for 
mode)
(WW) ATI(0): Built-in mode "Native panel mode" deleted (hsync out of range)
(WW) ATI(0): Mode pool is empty
(II) UnloadModule: "ati"
(II) UnloadModule: "vbe"
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) UnloadModule: "ddc"
(II) Unloading /usr/X11R6/lib/modules/libddc.a
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "atimisc"
(II) Unloading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.9.log".
Please report problems to xfree86@xfree86.org.



Reproducible: Always
Steps to Reproduce:
1. Run Xconfigurator while connected to Dell Port Replicator w/ Compaq V75
2. Let it run X test
3. Quit after it fails to start X
	

Actual Results:  Fails every time

Expected Results:  The X test should have worked and the machine should be 
able to run X while connected to Port Replicator/Compaq V75 monitor.
Comment 1 Richard Barrass 2001-02-12 07:37:32 EST
Hi,

Firstly, I am seeng the exact same problem on a numbner of Dell Lat CPx 700's
we have in the office connected to the port replicator C/Port II

However, during the install - the X installer does work fine while docked --
this includes running at 1024x768

Hope this helps
Comment 2 Gil Chilton 2001-02-28 09:37:59 EST
Problem still exists in wolverine.
Comment 3 Mike A. Harris 2001-03-09 21:11:58 EST
Please try the XFree86-4.0.2-12.1 release located at:
ftp://people.redhat.com/mharris/xfree86

This should fix the problem.
Comment 4 Need Real Name 2001-03-15 05:17:07 EST
Hi
	having installed the packages from that directory we are still seeing the
problem, the bottom of the log is included below, again it is a dell latitude,
works fine out of the docker, but fails when it is in the docker.


(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 0.0.1
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 6.2.3
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (AGP),
        ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
        ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
        ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Primary Device is: PCI 01:00:0
(II) ATI:  Candidate "Device" section "ATI Rage Mobility".
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 assigned to active "Device"
section "ATI Rage Mobility".
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xfb000000 - 0xfb01ffff (0x20000) MX[B]
        [6] -1  0xfaffdc00 - 0xfaffdc7f (0x80) MX[B]
        [7] -1  0xfaffe000 - 0xfaffffff (0x2000) MX[B]
        [8] -1  0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
        [9] -1  0xfcfff000 - 0xfcffffff (0x1000) MX[B](B)
        [10] -1 0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [11] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [12] -1 0x0000dc00 - 0x0000dc7f (0x80) IX[B]
        [13] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [14] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [15] -1 0x00000860 - 0x0000086f (0x10) IX[B]
        [16] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 6.2.3
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xfb000000 - 0xfb01ffff (0x20000) MX[B]
        [6] -1  0xfaffdc00 - 0xfaffdc7f (0x80) MX[B]
        [7] -1  0xfaffe000 - 0xfaffffff (0x2000) MX[B]
        [8] -1  0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
        [9] -1  0xfcfff000 - 0xfcffffff (0x1000) MX[B](B)
        [10] -1 0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [11] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [12] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [13] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [14] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [15] -1 0x0000dc00 - 0x0000dc7f (0x80) IX[B]
        [16] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [17] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [18] -1 0x00000860 - 0x0000086f (0x10) IX[B]
        [19] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
        [20] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [21] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 8128 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64RM
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level 2
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read successfully
(II) ATI(0): Manufacturer: DEL  Model: 50ab  Serial#: 808470356
(II) ATI(0): Year: 2000  Week: 49
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) ATI(0): Sync:  Separate  Composite  SyncOnGreen
(II) ATI(0): Max H-Image Size [cm]: horiz.: 40  vert.: 30
(II) ATI(0): Gamma: 2.50
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): GTF timings supported
(II) ATI(0): redX: 0.625 redY: 0.340   greenX: 0.280 greenY: 0.605
(II) ATI(0): blueX: 0.155 blueY: 0.070   whiteX: 0.283 whiteY: 0.298
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): 1280x1024@75Hz
(II) ATI(0): 1152x870@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) ATI(0): #2: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) ATI(0): #3: hsize: 1152  vsize 864  refresh: 85  vid: 22897
(II) ATI(0): #4: hsize: 1600  vsize 1200  refresh: 85  vid: 22953
(II) ATI(0): #5: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) ATI(0): #6: hsize: 1800  vsize 1440  refresh: 75  vid: 36802
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 157.5 MHz   Image Size:  388 x 291 mm
(II) ATI(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) ATI(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) ATI(0): Serial No: 0271R0BR00GT
(II) ATI(0): Monitor name: DELL P1110
(II) ATI(0): Ranges: V min: 48  V max: 160 Hz, H min: 30  H max: 121 kHz,
PixClock max 280 kHz
(--) ATI(0): ATI 3D Rage Mobility graphics controller detected.
(--) ATI(0): Chip type 4C4D "LM", version 4, foundry TSMC, class 0, revision
0x01.
(--) ATI(0): AGP bus interface detected;  block I/O base is 0xEC00.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(--) ATI(0): 1024x768 panel (ID 7) detected.
(--) ATI(0): Panel model Hitachi TX36D86VC1CAA.
(--) ATI(0): Panel clock is 28.348 MHz.
(II) ATI(0): Using digital flat panel interface.
(II) ATI(0): Using 8 MB linear aperture at 0xFD000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xFCFFF400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xFCFFF000.
(==) ATI(0): Write-combining range (0xfd000000,0x800000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SDRAM (1:1) detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 29.500 MHz.
(II) ATI(0): Maximum clock: 230.00 MHz
(WW) ATI(0): Default mode "640x350" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x400" deleted (hsync out of range)
(WW) ATI(0): Default mode "720x400" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1152x864" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x960" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x960" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1792x1344" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1792x1344" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1856x1392" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1856x1392" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Built-in mode "Native panel mode" deleted (hsync out of range)
(WW) ATI(0): Mode pool is empty
(II) UnloadModule: "ati"
(II) UnloadModule: "vbe"
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) UnloadModule: "ddc"
(II) Unloading /usr/X11R6/lib/modules/libddc.a
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "atimisc"
(II) Unloading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.


Note You need to log in before you can comment on or make changes to this bug.